
// Horizontal derviative
// Displays the derivative of the image and
// the pixel to left and right of it.

// Dave Mitchell, drm@ansto.gov.au, March 2003

// version 2.0

// Acquire foremost image and obtain size and name details

image front:=getfrontimage()
string name=getname(front)
number xsize, ysize
getsize(front, xsize, ysize)
setwindowposition (front, 142, 36)
setwindowsize (front, xsize, ysize)
updateimage(Front)

string unitstring
number scalex, scaley
getunitstring(front, unitstring)
getscale(front, scalex, scaley)

/*
** Call to C code
*/
Image finalImageL, finalImageR
ImgProc_Horizontal_Derivative( front, finalImageL, finalImageR )

showimage(finalimageL)
setwindowposition(finalimageL,176, 82)
setwindowsize(finalimageL, xsize, ysize)
setname(finalimageL, "Left Derivative of "+name)
converttoshort(finalimageL)

setscale(finalimageL, scalex, scaley)
setunitstring(finalimageL, unitstring)


showimage(finalimageR)
setwindowposition(finalimageR,206, 122)
setwindowsize(finalimageR, xsize, ysize)
setname(finalimageR, "Right Derivative of "+name)
converttoshort(finalimageR)

setscale(finalimageR, scalex, scaley)
setunitstring(finalimageR, unitstring)
